classification
Title: Update What's New for 3.6
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: Elvis.Pranskevichus, belopolsky, docs@python, gvanrossum, inada.naoki, levkivskyi, mark.dickinson, ned.deily, python-dev, serhiy.storchaka, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2016-11-07 21:12 by Elvis.Pranskevichus, last changed 2017-01-23 04:13 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
0001-Inital-pass-on-What-s-New-in-Python-3.6.patch Elvis.Pranskevichus, 2016-11-07 21:12
0001-Issue-28635-Fix-a-couple-of-missing-incorrect-versio.patch Elvis.Pranskevichus, 2016-11-10 18:21 review
0002-Issue-28635-What-s-New-in-Python-3.6-updates.patch Elvis.Pranskevichus, 2016-11-10 18:21
0001-Issue-28635-what-s-new-in-3.6-remove-mentions-of-bac.patch Elvis.Pranskevichus, 2016-11-10 20:35
0001-Issue-28635-what-s-new-in-3.6-add-a-few-more-notes-o.patch Elvis.Pranskevichus, 2016-11-13 17:21
0001-Issue-28635-Document-Python-3.6-opcode-changes.patch Elvis.Pranskevichus, 2016-11-26 20:10
Messages (35)
msg280244 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-07 21:12
Issue to track edits to "What's New in Python 3.6"
msg280249 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-07 21:44
New changeset 38c806f0943b by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28635)
https://hg.python.org/cpython/rev/38c806f0943b
msg280308 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2016-11-08 14:37
What no mention of math.tau? It's a PEP-level change!
msg280309 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-08 14:41
The page is a work-in-progress.  We'll surely capture all notable changes.
msg280310 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-11-08 14:45
Holy cow, I missed the PEP 628.
msg280311 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-08 14:50
I'm actually working on a tool that parses Misc/NEWS, cpython and peps repos, and roundup to gather and organize the changes to make the news editor's job easier.
msg280345 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-11-08 20:52
Elvis Pranskevichus added the comment:
> I'm actually working on a tool that parses Misc/NEWS, cpython and peps repos, and roundup to gather and organize the changes to make the news editor's job easier.

I don't understand why developers don't do it during the cycle :-/ I'm
trying to keep What's Up In Python X.Y? up to date.
msg280398 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-11-09 14:36
Elvis, please take a look at http://bugs.python.org/issue28641
msg280528 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-10 18:22
Attached patch for another pass on what's new.
msg280531 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-10 18:26
New changeset bcd4ab982429 by Yury Selivanov in branch '3.6':
Issue #28635: Fix a couple of missing/incorrect versionchanged tags
https://hg.python.org/cpython/rev/bcd4ab982429

New changeset 5c4ce500dd35 by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28635)
https://hg.python.org/cpython/rev/5c4ce500dd35
msg280532 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-10 18:28
New changeset c0060567f35d by Yury Selivanov in branch '3.6':
Issue #28635: What's New in Python 3.6 updates
https://hg.python.org/cpython/rev/c0060567f35d

New changeset 69bdf8bdfd61 by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28635)
https://hg.python.org/cpython/rev/69bdf8bdfd61
msg280535 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-10 19:15
Patches for following issues was applied in 3.5. They may be bug fixes, not new features.

#13248 #16113 #20476 #22115 #23517 #24764 #25590 #25593 #25913 #26470 #26733 #26754 #26801 #27040 #27041 #27243 #27392 #27598 #27691 #27766 #27850 #27932 #28370 #28613
msg280538 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-10 20:10
+The disassembler now decodes ``FORMAT_VALUE`` argument.
+(Contributed by Serhiy Storchaka in :issue:`28317`.)

FORMAT_VALUE is new in 3.6. This change should be considered as a part of PEP 498 and is not deserve special mentioning.
msg280539 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-10 20:35
Thanks Serhiy.  I removed mentions of things that were indeed fixes backported to 3.5.  Other issue references are valid news, including new features to provisional modules backported to 3.5.  It is customary to include these in the news for the major release.
msg280540 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-10 20:39
New changeset 4c81a107ccab by Yury Selivanov in branch '3.6':
Issue #28635: what's new in 3.6: remove mentions of backported fixes.
https://hg.python.org/cpython/rev/4c81a107ccab

New changeset 8ebaa546a033 by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28635)
https://hg.python.org/cpython/rev/8ebaa546a033
msg280548 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2016-11-10 21:59
I spotted a small typo in the "PEP 495: Local Time Disambiguation" section: "The values of the fold attribute have the value 0 all instances ..." should be "The values of the fold attribute have the value 0 *for* all instances ..."
msg280676 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-11-12 22:49
There are now a few markup errors that the Docs buildbots are catching.  See, for example:

http://buildbot.python.org/all/builders/Docs%203.x/builds/2849
msg280677 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-11-12 22:52
I'll go through whatsnew on Monday, fixing errors etc.
msg280698 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2016-11-13 15:30
Thank you Yury and Elvis for working on this!

I have few more suggestions for What's New:

* collections.abc.Reversible (http://bugs.python.org/issue25987).

* various ABCs in collections.abc now have means for explicit "anti-registration" by setting a corresponding attribute to None (http://bugs.python.org/issue25958, https://docs.python.org/3.6/reference/datamodel.html#special-method-names).

* implementation improvements (such as caching of generic types) in typing module give up to 30x seep-up and reduce memory footprint.

* typing.py now supports generic type aliases (https://github.com/python/typing/pull/195 and https://github.com/python/typing/pull/308, see mypy docs for usage examples).

* typing.py supports PEP 526 syntax for typed NamedTuple (https://github.com/python/typing/pull/282).

(I see that there are already several items about typing, so please feel free to keep only the most important changes.)
msg280704 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-13 17:21
Patch with updates attached.  Thanks for the feedback guys!
msg280807 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-14 19:49
New changeset 993215342a95 by Yury Selivanov in branch '3.6':
Issue #28635: what's new in 3.6: add a few more notes on typing
https://hg.python.org/cpython/rev/993215342a95

New changeset c3b4eea73615 by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28635)
https://hg.python.org/cpython/rev/c3b4eea73615
msg281432 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2016-11-22 04:55
I added ``-VV`` option to python command (issue28532).
Which section should I add the entry about it?
msg281481 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-22 14:28
https://docs.python.org/3.6/whatsnew/3.6.html#changes-in-python-command-behavior seems appropriate.
msg281486 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-22 14:41
On second thought `-VV` isn't really a porting change, so probably a new section under "Build and C API Changes".  Something like "Other Improvements".
msg281790 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-26 18:27
Please take a look at issue28810. Most bytecode changes are not documented.
msg281796 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2016-11-26 20:10
Here's a patch to add opcode changes to the What's New document.  Thanks for pointing this out Serhiy.
msg281797 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-26 20:25
LGTM. Thanks Elvis!
msg281886 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-28 16:46
New changeset 52038705827d by Yury Selivanov in branch '3.6':
Issue #28635: Document Python 3.6 opcode changes
https://hg.python.org/cpython/rev/52038705827d

New changeset 48fb6a4cb5f8 by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28635)
https://hg.python.org/cpython/rev/48fb6a4cb5f8
msg282679 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-08 00:20
New changeset d12bc674b74e by Yury Selivanov in branch '3.6':
Issue #28635: Drop the note that whatsnew is incomplete
https://hg.python.org/cpython/rev/d12bc674b74e

New changeset 1883072efc5f by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28635)
https://hg.python.org/cpython/rev/1883072efc5f
msg283353 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-15 22:58
New changeset 418ba3a0f090 by Yury Selivanov in branch '3.6':
Issue #28635: asyncio-related fixes and additions.
https://hg.python.org/cpython/rev/418ba3a0f090

New changeset 83eb8053a4e1 by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28635)
https://hg.python.org/cpython/rev/83eb8053a4e1
msg283379 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-16 07:44
New changeset cb4ad88fdc91 by Yury Selivanov in branch '3.6':
Issue #28635: Drop the note that whatsnew is incomplete
https://hg.python.org/cpython/rev/cb4ad88fdc91

New changeset c4d6ef15bb7c by Yury Selivanov in branch '3.6':
Issue #28635: asyncio-related fixes and additions.
https://hg.python.org/cpython/rev/c4d6ef15bb7c
msg283380 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-12-16 07:49
[cherrypicked for 3.6.0r2]
msg286041 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2017-01-23 01:55
Can this be closed (since 3.6 has been released)? Or is there still more you'd like to do specifically to complete this issue?
msg286042 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2017-01-23 03:07
I'm pretty sure we're done with What's New for 3.6.0, so, unless it's worth keeping this open for any 3.6.x edits, I'm for closing this.
msg286045 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-01-23 04:13
I don't see any reason to keep this open.  Thanks so much, Elvis and Yury, for doing such a great job again!
History
Date User Action Args
2017-01-23 04:13:12ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg286045

stage: resolved
2017-01-23 03:07:26Elvis.Pranskevichussetmessages: + msg286042
2017-01-23 01:55:47gvanrossumsetnosy: + gvanrossum
messages: + msg286041
2016-12-16 07:49:45ned.deilysetmessages: + msg283380
2016-12-16 07:44:48python-devsetmessages: + msg283379
2016-12-15 22:58:02python-devsetmessages: + msg283353
2016-12-08 00:20:17python-devsetmessages: + msg282679
2016-11-28 16:46:05python-devsetmessages: + msg281886
2016-11-26 20:25:44serhiy.storchakasetmessages: + msg281797
2016-11-26 20:10:11Elvis.Pranskevichussetfiles: + 0001-Issue-28635-Document-Python-3.6-opcode-changes.patch

messages: + msg281796
2016-11-26 18:27:52serhiy.storchakasetmessages: + msg281790
2016-11-22 14:41:52Elvis.Pranskevichussetmessages: + msg281486
2016-11-22 14:28:16Elvis.Pranskevichussetmessages: + msg281481
2016-11-22 04:55:37inada.naokisetnosy: + inada.naoki
messages: + msg281432
2016-11-14 19:49:44python-devsetmessages: + msg280807
2016-11-13 17:21:19Elvis.Pranskevichussetfiles: + 0001-Issue-28635-what-s-new-in-3.6-add-a-few-more-notes-o.patch

messages: + msg280704
2016-11-13 15:30:16levkivskyisetnosy: + levkivskyi
messages: + msg280698
2016-11-12 22:52:48yselivanovsetmessages: + msg280677
2016-11-12 22:49:14ned.deilysetmessages: + msg280676
2016-11-10 21:59:14belopolskysetnosy: + belopolsky
messages: + msg280548
2016-11-10 20:39:53python-devsetmessages: + msg280540
2016-11-10 20:35:43Elvis.Pranskevichussetfiles: + 0001-Issue-28635-what-s-new-in-3.6-remove-mentions-of-bac.patch

messages: + msg280539
2016-11-10 20:10:30serhiy.storchakasetmessages: + msg280538
2016-11-10 19:15:25serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg280535
2016-11-10 18:28:10python-devsetmessages: + msg280532
2016-11-10 18:26:13python-devsetmessages: + msg280531
2016-11-10 18:22:20Elvis.Pranskevichussetmessages: + msg280528
2016-11-10 18:21:36Elvis.Pranskevichussetfiles: + 0002-Issue-28635-What-s-New-in-Python-3.6-updates.patch
2016-11-10 18:21:28Elvis.Pranskevichussetfiles: + 0001-Issue-28635-Fix-a-couple-of-missing-incorrect-versio.patch
2016-11-09 14:36:48yselivanovsetmessages: + msg280398
2016-11-08 20:52:14vstinnersetmessages: + msg280345
2016-11-08 14:50:40Elvis.Pranskevichussetmessages: + msg280311
2016-11-08 14:45:23vstinnersetnosy: + vstinner
messages: + msg280310
2016-11-08 14:41:36Elvis.Pranskevichussetmessages: + msg280309
2016-11-08 14:37:49mark.dickinsonsetnosy: + mark.dickinson
messages: + msg280308
2016-11-07 22:55:51ned.deilysetnosy: + ned.deily
2016-11-07 21:44:34python-devsetnosy: + python-dev
messages: + msg280249
2016-11-07 21:16:57yselivanovsetassignee: docs@python -> yselivanov
2016-11-07 21:12:36Elvis.Pranskevichuscreate